Get collection token details
Get collection token details by id
GET
/
tokenization
/
collections
/
{id}
/
tokens
/
{tokenId}
TypeScript
const response: Promise<FireblocksResponse<CollectionLinkDto>> = fireblocks.tokenization.fetchCollectionTokenDetails(tokenizationApiFetchCollectionTokenDetailsRequest);CompletableFuture<ApiResponse<CollectionLinkDto>> response = fireblocks.tokenization().fetchCollectionTokenDetails(id, tokenId);response = fireblocks.tokenization.fetch_collection_token_details(id, token_id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/collections/{id}/tokens/{tokenId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/collections/{id}/tokens/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
"status": "COMPLETED",
"type": "NON_FUNGIBLE_TOKEN",
"displayName": "My Simple ERC721 Collection",
"collectionMetadata": {
"fbCollectionId": "911fe739f0d4d123c98fd366c3bed35c6e30c00e",
"blockchainDescriptor": "ETH",
"name": "Rarible",
"symbol": "RARI",
"standard": [
"ERC721",
"ERC1155",
"FA2"
],
"contractAddress": "0x1723017329a804564bC8d215496C89eaBf1F3211"
}
}{
"message": "<string>",
"code": 123
}Path Parameters
The collection link id
The tokenId as it appears on the blockchain
Response
Collection token details were fetched successfully
The collection id
Example:
"fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"
The collection status
Available options:
PENDING, COMPLETED Example:
"COMPLETED"
The type of collection
Available options:
NON_FUNGIBLE_TOKEN, SEMI_FUNGIBLE_TOKEN Example:
"NON_FUNGIBLE_TOKEN"
The display name of the collection. If was not provided, would be taken from the contract template
Example:
"My Simple ERC721 Collection"
The collection's metadata
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<CollectionLinkDto>> = fireblocks.tokenization.fetchCollectionTokenDetails(tokenizationApiFetchCollectionTokenDetailsRequest);CompletableFuture<ApiResponse<CollectionLinkDto>> response = fireblocks.tokenization().fetchCollectionTokenDetails(id, tokenId);response = fireblocks.tokenization.fetch_collection_token_details(id, token_id);